org.wso2.carbon.webapp.mgt.version

## Class AppVersionGroupPersister

- java.lang.Object
- - org.wso2.carbon.webapp.mgt.version.AppVersionGroupPersister

-     public class AppVersionGroupPersister
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AppVersionGroupPersister()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `persistWebappGroupMetadata(String webappName, String previousName, org.apache.axis2.engine.AxisConfiguration axisConfig)`
    `static String` | `readWebappGroupMetadata(String webappName, org.apache.axis2.engine.AxisConfiguration axisConfig)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AppVersionGroupPersister

          public AppVersionGroupPersister()

  - ### Method Detail

    - #### persistWebappGroupMetadata

          public static void persistWebappGroupMetadata(String webappName,
                                                        String previousName,
                                                        org.apache.axis2.engine.AxisConfiguration axisConfig)
                                                 throws org.wso2.carbon.core.persistence.metadata.ArtifactMetadataException,
                                                        org.apache.axis2.AxisFault

      Throws:
        `org.wso2.carbon.core.persistence.metadata.ArtifactMetadataException`
        `org.apache.axis2.AxisFault`

    - #### readWebappGroupMetadata

          public static String readWebappGroupMetadata(String webappName,
                                                       org.apache.axis2.engine.AxisConfiguration axisConfig)
                                                throws org.wso2.carbon.core.persistence.metadata.ArtifactMetadataException,
                                                       org.apache.axis2.AxisFault

      Throws:
        `org.wso2.carbon.core.persistence.metadata.ArtifactMetadataException`
        `org.apache.axis2.AxisFault`

Copyright © 2019 WSO2. All rights reserved.